# OgreImage.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreDataStream.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Enumerations

enum | ImageFlags { IF_COMPRESSED = 0x00000001, IF_CUBEMAP = 0x00000002, IF_3D_TEXTURE = 0x00000004 }

## Enumeration Type Documentation

enum Ogre::ImageFlags

Enumeration values:

  IF_COMPRESSED |
  IF_CUBEMAP |
  IF_3D_TEXTURE |

Definition at line 35 of file OgreImage.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006